API Documentation |
ProcessingEvent

Package | org.alivepdf.events
Class | public final class ProcessingEvent
Inheritance | ProcessingEvent flash.events.Event

Public Properties

| Property | Defined By
--- | --- | ---
|  | duration : Number | ProcessingEvent

Public Methods

| Method | Defined By
--- | --- | ---
|  | ProcessingEvent(type:String, duration:Number = 0) | ProcessingEvent

Public Constants

| Constant | Defined By
--- | --- | ---
|  | COMPLETE : String = complete [static] | ProcessingEvent
|  | PAGE_TREE : String = pageTree [static] | ProcessingEvent
|  | RESOURCES : String = resources [static] | ProcessingEvent
|  | STARTED : String = started [static] | ProcessingEvent

Property Detail

duration | property

`public var duration:Number`

Constructor Detail

ProcessingEvent | () | Constructor

`public function ProcessingEvent(type:String, duration:Number = 0)`

Parameters

| `type:String`
| `duration:Number` (default = `0`)``

Constant Detail

COMPLETE | Constant

`public static const COMPLETE:String = complete`

PAGE_TREE | Constant |

`public static const PAGE_TREE:String = pageTree`

RESOURCES | Constant |

`public static const RESOURCES:String = resources`

STARTED | Constant |

`public static const STARTED:String = started`

Mon Oct 17 2011, 09:13 PM -04:00